:not(:defined) > * {
  display: none;
}

body, html {
  margin: 0;
  padding: 0;
  width: 100vw;
  height: 100vh;
	background: #242424 !important;
	background-color: #242424 !important;
border:0;

}

model-viewer {
  width: 100%;
  height: 100%;

 
}


	  .ui-page, .ui-body-c, .ui-page-active {
	
			width: 100vw; 
			height: 100%;
			padding: 0 ;
			border:none !important;
			margin: 0 !important;
			background-color: #242424 !important;
			background: #242424 !important;
			text-shadow: none !important;
			overflow-x: hidden!important;  
			overflow-y: auto !important;
			  z-index: 50;
			  
		  }

		   .ui-content, .ui-overlay-c{
			  width: 100%; 
			height: 100%;
			 padding: 0 !important;
			   margin: 0 !important;
			
			   z-index: 50;
			   
		   }
		   
		   
		   .focus-visible{
			   text-shadow: none !important;
			   
			   padding: 0 !important;
			   margin: 0 !important;
			   border:0;
			  
			   
		   }


		   
		   .ui-page-footer-fixed{
			   background-color: #242424 !important;
		   }
		   
		   iframe {
			   border: none;
			}
		   
		   
		   .splash{
			   
			   display: flex;
			   flex-direction: row;
			   justify-content: center;
		   }   
		   
		   
		   .logoTDS{
			   width: 60%;
			   overflow: visible;
		   }
		   
		   #TDSLogo{
			    width: 60%;
			   overflow: visible;
			   
		   }
		   
		   #LogoMaya{
			  
		   }

.iosprompt{
	display: block;
	width: 100%; 
	position: absolute; 
	bottom:0; 
	height: 250px; 
	z-index:60; 
	background-color: #141414;
	border: 0px;
	margin: 0px;
	padding: 0px;
	left: 50%;
	transform: translate(-50%);
}


.ios-logo{
	background-image:url("./Patung-Logo.png");
	background-size: contain; 
	width: 50px; 
	height: 50px; 
	border-radius: 10px; 
	margin-right: 10px;
} 

a:link {
 text-decoration: none;
}

.progress-bar {
  display: block;
  width: 33%;
  height: 10%;
  max-height: 2%;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate3d(-50%, -50%, 0);
  border-radius: 25px;
  box-shadow: 0px 3px 10px 3px rgba(0, 0, 0, 0.5), 0px 0px 5px 1px rgba(0, 0, 0, 0.6);
  border: 1px solid rgba(255, 255, 255, 0.9);
  background-color: rgba(0, 0, 0, 0.5);
}

.progress-bar.hide {
  visibility: hidden;
  transition: visibility 0.3s;
}

.update-bar {
  background-color: rgba(255, 255, 255, 0.9);
  width: 0%;
  height: 100%;
  border-radius: 25px;
  float: left;
  transition: width 0.3s;
}

#ar-button {
  background-image:url("ui/ar_icon 1.svg");
  background-repeat: no-repeat;
  background-size: 20px 20px;
  background-position: 12px 50%;
  background-color: #7E7362;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  white-space: nowrap;
  bottom: 130px;
  padding: 0px 16px 0px 40px;
  font-family: Roboto Regular, Helvetica Neue, sans-serif;
  font-size: 14px;
  color:#fff;
  height: 36px;
  width: 180px;
/*  line-height: 36px;*/
  border-radius: 18px;
  border: 4px solid #544C4C ;

	

	
}

#ar-button:active {
  background-color: #646464;
}

#ar-button:focus {
  outline: none;
}

#ar-button:focus-visible {
  outline: 1px solid #4285f4;
}

@keyframes circle {
  from { transform: translateX(-50%) rotate(0deg) translateX(50px) rotate(0deg); }
  to   { transform: translateX(-50%) rotate(360deg) translateX(50px) rotate(-360deg); }
}

@keyframes elongate {
  from { transform: translateX(100px); }
  to   { transform: translateX(-100px); }
}

model-viewer > #ar-prompt {
  position: absolute;
  left: 50%;
  bottom: 60px;
  animation: elongate 2s infinite ease-in-out alternate;
  display: none;
}

model-viewer[ar-status="session-started"] > #ar-prompt {
  display: block;
}

model-viewer > #ar-prompt > img {
  animation: circle 4s linear infinite;
}


  model-viewer > #ar-failure {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 175px;
    display: none;
  }

 model-viewer[ar-tracking="not-tracking"] > #ar-failure {
    display: block;
  }


.slider {
    width: 100%;
    text-align: center;
    overflow: hidden;
    position: absolute;
    bottom: 15px;
	
  }

  .slides {
    display: flex;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    scroll-behavior: smooth;
    -webkit-overflow-scrolling: touch;
	align-items: center;
    justify-content: center;
  }

  .slide {
    scroll-snap-align: start;
    flex-shrink: 0;
    width: 80px;
    height: 80px;
    
    background-repeat: no-repeat;
    background-position: center;
    
    margin-right: 10px;
    border-radius: 10px;
    border: 4px solid #7E7362;
    display: flex;
  }

  .slide.selected {
    border: 4px solid #FAE1BC;
  }

  .slide:focus {
    outline: none;
  }

  .slide:focus-visible {
    outline: 1px solid #FF3B3F;
  }


.top-menu-container{
	
	position: absolute;
	z-index: 30;
	width: 90%;
	height:100px;
	
	
	display: flex;
	flex-direction: column;	
	flex-flow: column-reverse;
	flex-wrap: wrap-reverse;

	
	left:50%;
	transform: translate(-50%);
}

.student-bottom{
width: 80%;
height: 50px;	

	background: #544C4C;
	border-radius: 0px 0px 40px 40px;
	
	margin-right: 10px;
	margin-bottom: 10px;
}

.student-container{
	position: absolute;
	
	width: 100%;
	height: 100px;
	
	
	display: flex;
	flex-direction: row;	
	justify-content: center;
	align-items: center;
	
	left:50%;
	transform: translate(-50%);

	
}

#student-photo{
	position: absolute;
	width: 70px;
	height: 70px;
	right: 0px;
	top:15px;


	
	background: url("ui/Emma-photo.png"), #D0BC9D;
	background-size: cover;	
	border: 6px solid #97856A;
	border-style: ridge;
	
	border-radius: 100px;

	}	

.student-name{
	
	display: flex;
    justify-content:flex-end;
    align-items: center;
    height: 50%;
	width: 100%;
	padding-right: 25%;
	margin-right: 10px;

	background: #7E7362;
	border-radius: 0px 20px 20px 0px;
	color:#fff;
	
	border-radius: 50px;
	font-family: 'Roboto', sans-serif;
	font-size: 14px;
	letter-spacing: 0.6px;
	
}

.icon-back-conteiner{
	position: absolute;
	left: 0px;
	height: 50%;	
	width: 15%;
	
	background: #9A896E;
	border-radius: 20px 0px 0px 20px;

	display: flex;
	
	align-items: center;
	justify-content: center;
	
	
	z-index: 11;
}

		
.student-detail{
	position: absolute;
	display: flex;
	justify-content: center;
	align-items: center;
	height: px;
	top:60px;
	left:30px;
	width: 200px;

	color:#242424;
	background-color: antiquewhite;

	border-radius: 20px;
	padding: 20px;
	font-family:"Gill Sans", "Gill Sans MT", "Myriad Pro", "DejaVu Sans Condensed", Helvetica, Arial, "sans-serif";
	font-size: 15px;
	z-index: 1;
}


.bg{
	
	position: absolute;
	margin: 0;
	padding: 0;
	width: 100%;
	height: 100%;
	background-image: url("images/patungBG4.jpg");
	opacity: 0.07;
	z-index:0;
	background-size:cover;
	
}



#emmaSlide{
	display: block;
}

#michellSlide{
	display: none;
}


/* Top Panel Style */

.top_panel{
	position: relative;
display: flex;

width:100%;

flex-direction: column;
	
background: url("images/BarbieDoll 1.png");
	background-repeat: no-repeat;
	background-position: right bottom;
	background-transform: rotate(-3deg);
	
	background-size:contain;
	transform: rotate(-3deg);
	
	

background-color: rgba(52, 52, 52, 0.73);
border-radius: 30px;
padding: 0px;
margin-top: -20px;
	
filter: drop-shadow(5px 7px 4px rgba(0, 0, 0, 0.25));
	z-index: 11;

}

.top_text{
display: flex;
width: 60%;
left: 24px;


font-family: Rock Salt;
font-style: normal;
font-weight: normal;
font-size: 30px;
line-height: 128.19%;
/* or 38px */


color: #FFFFFF;
padding:4rem 1rem 0.5rem 2rem;	
	transform: rotate(3deg);

}

.middle_text{
	
	display: flex;
	width: 67%;
	
	left: 23.55px;
	

	/*font-family: 'Roboto', sans-serif;*/
	font-family: 'Montserrat', sans-serif;
	font-style: normal;
	font-weight:100;
	font-size: 14px;
	line-height: 130%;
	/* or 18px */


	color: #FFFFFF;

	/*text-shadow: 0px 1px 4px rgba(0, 0, 0, 0.25);*/
	transform: rotate(-1deg);
	
	padding-left: 2rem;
	
}

.bottom_box{
	padding: 1rem 1rem 1.5rem 2rem;
}

.bottom_text{
	
	display: flex;
	width: 70%;
	padding: 1em;
	left: 24px;
	
	
	font-family: Roboto;
	font-style: normal;
	/*font-weight: bold;*/
	font-weight:100;
	font-size: 13px;
	line-height: 130%;
	/* or 17px */

	color: #FFFFFF;
	
	background: rgba(186, 45, 36, 0.8);
	border-radius: 20px;
	transform: rotate(-1deg);


}

.div_row1{
	display: flex;
	flex-direction: row;


	position: relative;

	width: 93%;

	left: 0px;

	background: #7A6950;
	border: 4px solid rgba(0, 0, 0, 0.1);
	box-sizing: border-box;
	border-radius: 0px 0px 30px 0px;
	z-index: 10;
	padding: 15px;

	
}

.div_row2{

	display: flex;
	flex-direction: row;


	position: relative;
	width: 93%;

	left: 0px;

	background: #897A62;
	border: 4px solid rgba(0, 0, 0, 0.1);
	box-sizing: border-box;
	border-radius: 0px 0px 30px 0px;
	margin-top:-10px;
	padding: 15px;
	z-index: 9;	
	
	
}

.div_row1:active, .div_row2:active, .div_row3:active, .div_row4:active{
	background:#242424
}

.div_row3{

	display: flex;
	flex-direction: row;
		
	padding: 15px;	
	position: relative;
	width: 93%;
	
	left: 0px;

	background: #85745A;
	border: 4px solid rgba(0, 0, 0, 0.1);
	box-sizing: border-box;
	border-radius: 0px 0px 30px 0px;
	/*margin-top:165px;*/
	margin-top:-10px;

	z-index: 8;	
	
	
}

.div_row4{

	display: flex;
	flex-direction: row;
	padding: 15px;	
	position: relative;
	width: 93%;
	
	left: 0px;

	background: #9A896E;
	border: 4px solid rgba(0, 0, 0, 0.1);
	box-sizing: border-box;
	border-radius: 0px 0px 30px 0px;
	/*margin-top:245px;*/
margin-top:-20px;
	z-index: 7;	
	padding-top: 33px;

}

.student_img_michell{

	margin-right: 15px;


	background: url("./ui/Michell-photo.png"), #6E604C;
	background-size: cover;
	background-repeat: no-repeat;
	border-radius: 20px;
	
	box-shadow: 2px 2px 3px rgba(0, 0, 0, 0.25);
	border-radius: 20px;
}


.student_img_steffi{

	margin-right: 15px;


	background: url("./ui/Steffi-photo.png"), #6E604C;
	background-size: cover;
	background-repeat: no-repeat;
	border-radius: 20px;
	
	box-shadow: 2px 2px 3px rgba(0, 0, 0, 0.25);
	border-radius: 20px;
	
}


.student_img_peiyi{
	
	margin-right: 15px;


	background: url("./ui/Peiyi-photo.png"), #6E604C;
	background-size: cover;
	background-repeat: no-repeat;
	border-radius: 20px;
	
	box-shadow: 2px 2px 3px rgba(0, 0, 0, 0.25);
	border-radius: 20px;
}

.student_img_emma{
	
	
	margin-right: 15px;


	background: url("./ui/Emma-photo.png"), #6E604C;
	background-size: cover;
	background-repeat: no-repeat;
	border-radius: 20px;
	
	box-shadow: 2px 2px 3px rgba(0, 0, 0, 0.25);
	border-radius: 20px;
}


.item_left{
	min-width: 60px;
	min-height: 60px;
	
}


.item_right{
	


	/*font-family: 'Roboto', sans-serif;*/
	font-family: 'Montserrat', sans-serif;
	font-style: normal;
	font-weight:100;
	font-size: 12px;
	line-height: 130%;
	/* or 18px */


	color: #FFFFFF;

}



.ui-footer, .ui-bar-a, .ui-footer-fixed, .slideup, .ui-fixed-hidden{
	
	height: 50px !important;
	background-color: none !important;
	background: #242424 !important;
	border: none !important;
	margin: 0 !important;
	text-shadow: none;
	
	
}


.footer_logo{
	background: #242424;
	position: absolute;
	display: flex;
	flex-direction: row;
	justify-content: center;
	bottom:0px; 
	z-index: 20;
	width: 100%;
	margin: 0px;
	position: fixed;
	left: 0px;
	padding-bottom: 3px;
}

.footer_logo img{
	display: block;
	padding: 10px;
	height: 25px;
	padding-top: 15px;
}


.spacer{
	position: relative;
	background: none;
	height: 100px;
}


.onb_container{
	
	position:absolute;
	top: 50%;
	left:50%;
	transform: translate(-50%, -50%);
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-content: center;
	align-items: center;
	min-height: 350px;
	min-width: 70%;
	padding: 2rem;
	background: #343434;
	border-radius: 20px;	

}

.onb_container img{
	padding-bottom: 1.5rem;
}

.onb_content{
	
	font-family: Roboto;
	font-style: normal;
	font-weight: normal;
	font-size: 16px;
	line-height: 150%;
	/* or 21px */

	text-align: center;
	color: #FFFFFF;
	
	
	
}

div#onb_button a{
	text-decoration: none;
	color: #FAE1BC !important;
}

.onb_button {
	display: flex;
	flex-direction: column;
	width: 168px;
	height: 45px;
	background: #6A6153;
	border: 4px solid #544C4C;
	box-sizing: border-box;
	border-radius: 20px;	
	
	font-family: Roboto;
	font-style: normal;
	font-weight: bold;
	font-size: 14px;
	line-height: 128.19%;
	/* or 23px */

	text-align: center;
	vertical-align: middle;
	justify-content: center;
	color: #FAE1BC;
	text-decoration: none;
}

.onb_button:active{
	background:#242424;
		
}



.sidebar-container{
		position: absolute;
		width: 48.43px;
		height: 131px;
		right:5.5%;
		top: 25%;
		
		z-index: 20;
	
		display: flex;
		flex-direction: column;
	}

.side-icon1{
		
		
		width: 48.43px;
		height: 44.46px;
		background: #5A5A5A;
		border-radius: 47px 47px 0px 0px;
	
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		
	}

.side-icon1 img{
	padding-top: 10px;
}

.side-icon2{
	
	width: 48.43px;
	height: 39.7px;

	background: #544C4C;
	border-radius: 0px;
	
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
	

}

.side-icon3{
	
	width: 48.43px;
	height: 53.19px;

	background: #7E7362;
	border-radius: 0px 0px 47px 47px;
	
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
}


.popup-container{
position: absolute;
width: 335px;
height: 352px;



background: rgba(67, 62, 55, 0.75);
backdrop-filter: blur(8px);
/* Note: backdrop-filter has minimal browser support */

border-radius: 20px;

	
display: flex;
flex-flow: wrap;
justify-content: space-around;
align-items: center;
	
}

.popup-student-main-container{
	position: absolute;
	
	z-index: 21;
	width: 335px;
	height: 352px;
	left: 50%;
	top:20%;
	transform: translate(-50%);
}





.student-info{
	color: #fff;
	font-family: 'Montserrat', sans-serif;	
	/*font-family: Roboto;*/
	font-style: normal;
	font-weight: normal;
	font-size: 13px;
	padding: 20px;
	line-height: 1.5;
	text-shadow: none;
}

.popup-student-container{

width: 150px;
height: 150px;
background: rgba(126, 115, 98, 0.4);

border-radius: 20px;
	
display: flex;
flex-direction: column;
	justify-content: center;
	align-items: center;
	row-gap:10px;
	

}

.popup-student-container:active{
	
	background:#242424;
}

.popup-student-photo{

width:80px;
height: 80px;	


}


.std1{
	
	background: url("./ui/Emma-photo.png");
		background-size: contain;
	background-repeat: no-repeat;
border: 6px solid #97856A;
	border-style: ridge;
	
	border-radius: 100px;
	background-color: #D0BC9D;

}
.std2{
	
		background: url("./ui/Michell-photo.png");
		background-size: contain;
	background-repeat: no-repeat;
border: 6px solid #97856A;
	border-style: ridge;
	
	border-radius: 100px;
	background-color: #D0BC9D;
}
.std3{
	background: url("./ui/Steffi-photo.png");
		
		background-size: contain;
	background-repeat: no-repeat;
border: 6px solid #97856A;
	border-style: ridge;
	
	border-radius: 100px;
	background-color: #D0BC9D;
}
.std4{
	
		background: url("./ui/Peiyi-photo.png");
		background-size: contain;
	background-repeat: no-repeat;
border: 6px solid #97856A;
	border-style: ridge;
	
	border-radius: 100px;
	background-color: #D0BC9D;
}


.popup-student-name{
	
width: 130px;
height: 26px;
background: #000000;
border-radius: 10px;
	
font-family: Roboto;
font-style: normal;
font-weight: normal;
font-size: 13px;

/* or 18px */
display:flex;
justify-content: center;
align-items: center;	
color: #FFFFFF;	
}

.closeBtn{
	
	position: absolute;
	top: -10px;
	right: -10px;
		z-index: 22;
	
}
